
-- reserve constructor
CBuildObject = 
{
	s_Width			= 800,
	s_Height		= 600
}

function CBuildObject:Create( i_oParent )

    -- inherit all functions from Movie
    local oRet = i_oParent.refinishObject
    
	-- bind into our class
	CBuildObject:Bind( oRet )
	
	-- initialization
	oRet:SetBase( 0 )

	return oRet
end

-----------------------------------------------------------------------------------
-- public functions
-----------------------------------------------------------------------------------

function CBuildObject:SetBase( base )
	self:SetFrame( base )

	-- set vars
	self.furnish.point1:SetFrame( 0 )
	self.furnish.point2:SetFrame( 0 )
	self.furnish.point3:SetFrame( 0 )
end

function CBuildObject:SetPoint( index, frame )
	
	self.furnish[ "point" .. index ]:SetFrame( frame )
	
end


-- call this in C++ after a reload to rebind functions
function CBuildObject:Bind( i_oObj )
	BindObj( CBuildObject, i_oObj )
	return i_oObj
end

